Issue #187 resolved

unused import which fails with py2.5

Anonymous created an issue

whoosh/src/whoosh/scoring.py

from future import division, print_function

Comments (7)

  1. Anonymous

    Ok, thanks, but...

    I'm not very happy that I have to keep some applications on Ubuntu LTS, but that's the real life. I have no problem with the test files, but with the file that I wrote earlier and which break my upgrades.

    This is the file

    whoosh/src/whoosh/scoring.py

    line 32

    diff:

    32d31

    < from future import division, print_function

    Thanks Matt

    Ross

  2. Anonymous
    • changed status to open

    One more snuck in there, it seems:

    dev /home/jbergstroem/Whoosh-2.3.2 # grep print_function -R *
    src/whoosh/qparser/common.py:from __future__ import print_function
    
  3. Log in to comment